summaryrefslogtreecommitdiffstats
path: root/uninstall
diff options
context:
space:
mode:
Diffstat (limited to 'uninstall')
-rwxr-xr-xuninstall9
1 files changed, 9 insertions, 0 deletions
diff --git a/uninstall b/uninstall
new file mode 100755
index 0000000..456e656
--- /dev/null
+++ b/uninstall
@@ -0,0 +1,9 @@
+#!/bin/sh
+set -eu
+
+[ -d "$1" ] || (echo "package $1 not found" >&2; exit 1)
+
+[ -f "$1/Makefile" ] && (cd "$1" && make -s uninstall)
+stow -D "$1"
+
+true